/*******************************************************************************
 * Copyright 2012 Mohamed Sellami, Telecom SudParis
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package telecom.sudparis.eu.paas.core.server.xml;

import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * Topology XML element
 * 
 * @author Mohamed Sellami (Telecom SudParis)
 */
@XmlRootElement(name = "topology")
@XmlAccessorType(XmlAccessType.FIELD)
public class TopologyXML {

	/**
	 * Topology NodeList
	 */
	@XmlElement
	private List<NodeXML> topoListNode;

	/**
	 * Topology RelationShipList
	 */
	@XmlElement
	private List<RelationshipXML> topoRelationShipList;

	/**
	 * Default constructor
	 */
	public TopologyXML() {

	}

	public List<NodeXML> getTopoListNode() {
		return topoListNode;
	}

	public void setTopoListNode(List<NodeXML> topoListNode) {
		this.topoListNode = topoListNode;
	}

	public List<RelationshipXML> getTopoRelationShipList() {
		return topoRelationShipList;
	}

	public void setTopoRelationShipList(
			List<RelationshipXML> topoRelationShipList) {
		this.topoRelationShipList = topoRelationShipList;
	}

}
