/*
 * Copyright 2009-2012 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.cloudfoundry.client.lib.domain;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.Map;

public class ApplicationStats {

	private final List<InstanceStats> records;

	public ApplicationStats(Map<String, Object> attributes) {
		List<InstanceStats> records = new ArrayList<InstanceStats>(attributes.size());
		for (Map.Entry<String, Object> entry : attributes.entrySet()) {
			@SuppressWarnings("unchecked")
			InstanceStats record = new InstanceStats(entry.getKey(), (Map<String, Object>)entry.getValue());
			records.add(record);
		}
		this.records = Collections.unmodifiableList(records);
	}

	public ApplicationStats(List<InstanceStats> instanceStats) {
		this.records = Collections.unmodifiableList(instanceStats);
	}

	public List<InstanceStats> getRecords() {
		return records;
	}
}
