/*
 * Copyright 2009-2012 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.cloudfoundry.client.lib.domain;

import org.cloudfoundry.client.lib.domain.CloudEntity;

import java.util.UUID;

/**
 * @author Thomas Risberg
 */
public class CloudSpace extends CloudEntity {

	private CloudOrganization organization;

	public CloudSpace(Meta meta, String name, CloudOrganization organization) {
		super(meta, name);
		this.organization = organization;
	}

	public CloudOrganization getOrganization() {
		return organization;
	}

}
